function [ys,check] = nonlinearomega_steadystate(ys,exe)
global M_ lgy_
%global M_ lgy_  params paramlist param_switch sensitivity_switch paramfile_name

if isfield(M_,'param_nbr') == 1
NumberOfParameters = M_.param_nbr;
for i = 1:NumberOfParameters
  paramname = deblank(M_.param_names(i,:));
  eval([ paramname ' = M_.params(' int2str(i) ');']);
end
check = 0;
end


%if sensitivity_switch
%eval(paramfile_name);
%else
%paramfile_assembled;
%end

% change country 1 parameters 
% without changing country 2 parameters if 
% block of code is inserted after def_parm_assembled



%if param_switch
 %   nparams = length(params);
    
  %   update parameters in M_
   %    for i=1:nparams
    %    eval([paramlist(i,:),'=params(i);'])
     %  end
 %end

%def_parm_assembled;

%steadyoilmodJRstickycombodynarenonlinear_c1
%steadyoilmodJRstickycombodynarenonlinear_c2
%assignsteadyoilmodJRstickycombodynarenonlinear




%%%% Model equations to be entered here
c1chi = 59.540202481992;%'c1chi',0.001,1000,'Determines Lab. Supply El. (1/param/2)'};//determines labor supply elasticity 
c1sigma  = 1;%intemporal consumption elasticity
c1vkappa = 0.65119280966455;%'c1vkappa', 0.0, 0.98,'Habits in Consumption';...
c1grmuoss = 1.0026;% growth of oil supply steady state calibrated parameter...steady state calibrated parameter
c1grmuzss = 1.005763995437;%'c1muzss', 1,1.1,'Growth Rate of Technology (gross)';...steady state calibrated parameter 
%c1grmuzoss = c1grmuzss/c1grmuoss;// price of oil growth...steady state calibrated parameter 
%c1muoss = 1.0026; // mean of oil growth demand 
%c1muzss = 1.005763995437;//Growth Rate of Technology (gross)';...
%c1muzoss = c1muzss/c1muoss; 
c1psii = 3.5153813918585;%'c1psii',0,50,'Investment Adjustment Cost';...
c1beta = 0.99;%'c1beta',0.95,1.01,'Discount Factor';...
c1delta = 0.025;%'depreciation rate of capital' Bodenstein (2012) 
c1telast = 1.7570196944064; %elasticity of substitution between domestic goods and imports  
c1oelast = 0.42249644216872; %elasticity of substitution between oil and domestic consumption 
%c1rhoc = 1/(c1telast -1); 
%c1rhoo = 1/(c1oelast -1);
%c1rhoc = 1.32; 
%c1rhoo = -1.73; 
c1phimc = 0;%'c1phimc', 0,100, 'Nonoil Trade Adjustment Costs';... 
c1phioc = 0;%'Adjustment Costs For Oil Demand';...    
c1kelast = 0.5;%K-L sub. elasticity
%c1rhov = 1/(c1kelast -1);  
  c1omegal = 1;%weight of labor in CES aggregator
  c1ratiooyoc = 1.86;%ratio of oil inputs in production to inputs in consumption 	
  c1shareiy  = 0.219;%investment share of gross output  
  c1sharegy = 0.15; %government spending share of gross output  
c1sharemy   = 0.12; %see parmfile_assembled.m
c1shareowy_nominal = 0.0406;%see parmfile_assembled.m
 c1alphaop = 0.9999; %related with oil supply 
 c1deltao = 0.4; %related with oil supply 
 c1less = 0.3333;%share of time spent working
 c1phibparm  = 0.0001;%Curvature of bond intermed. cost
c1gamrs = 0.65533860773213;%'c1gamrs',0,0.95,'Policy Rate Smoothing';
c1gamdpc =  0.19071900990448;%'c1gamdpc',.01,10,'Weight on Inflation in Monetary Policy Rule';...
c1gamgdpgap =0.0000003272;%'c1gamgdpgap',0,5,'Weight on Output Gap in Monetary Policy Rule';...               
c1gamrs2 = 0.65533860773213 ;% monetary policy 
c1gamdpc2 =  0.19071900990448;% monetary policy
c1gamdpwo = 0;% monetary policy US
c1gamomega = 0;%monetary policy US
c1pistar = 1.0113956536186;%steady State Inflation  is the average mean of dpcexfe_Jp_obs  ... 
c1tauw = 0.000;%Lagged wage indexation 
c1taup = 0.000 ;%Lagged price indexation 
c1rsss = 0.01;%steady state nominal interest rate is the average mean of fedfunds_jp_obs...    
c1relc2 = 0.5;%relative size of home country
c1omegavy = 0.9707;%weight of value added in production  
c1omegaoc = 0.021;%Bodenstein Guerrieri & Kilian (2012)
c1omegamc = 0.068;%Bodenstein Guerrieri & Kilian (2012)
c1omegami = 0.40;%Bodenstein Guerrieri & Kilian (2012)
c1omegaoy = 0.026;%Bodenstein Guerrieri & Kilian (2012)

%additional parameters in sticky price model 
c1iotap = 0.000000452529;%lagged price  indexation
c1iotaw = 0.00000032055;%lagged wage indexation
c1xip =  0.81397044833069;%Calvo Price Parameter
c1xiw = 0.88999732204371;%Calvo wage Parameter 
c1thetap = 0.10;
c1thetaw  = 0.10;
%c1gamdw  = 0; 

%shocks 
c1rhopitar  = 0.40261163739417;% U.S. Monetary Policy, AR(1) coef.';...   
c1scalepitarerr = 0.021694152070317;% standard deviation of U.S. Monetary Policy
c1rhogy =  0.99899999803367; %'c1rhogy', arlowerbound, arupperbound, 'U.S. Government Expenditure Shock AR(1) coef.';
c1scaleshockgyerr = 0.024627248911243; %U.S. Gov. Exp. st. dev. of innovation';....
c1rhozc1  =  0.2162985427838; %Technology, growth AR coef.';...  
c1scalezcerr = 0.0065559859524876;%U.S. Technology, st. dev. of innovation';...0.00655
c1rhozc2  = 0.00010000024577987; %Technology, level error corr. coef.';...
c1rhozw1 = 0.01;%World Technology, growth AR coef.
c1scalezwerr = 0.001;%'World Technology, st. dev. of innovation';...  
c1rhozw2  = 0.001;%World Technology, level error corr. coef.';...
c1rhomuow1 = 0.001;%'World Oil Demand, growth AR coef.' ;...       
c1rhomuow2 =  0.001;%'World Oil Demand, level error corr. coef.' ;...  
c1scalemuowerr = 0; %'World Oil Demand, st. dev. of innovation';...
c1rhothetapvar =  0.74013690353831; %U.S. Price Markup, AR(1) coef.';...  
c1scalethetapvarerr = 0.47737277434637; %U.S. Price Markup, st. dev. of innovation';...
c1rhothetawvar = 0.97684135541579; %U.S. Wage Markup, AR(1) coef.';...
c1scalethetawvarerr = 3.6987834172965; %U.S. Wage Markup, st. dev. of innovation';...
c1rhozi = 0.90592267055841; %Investment Technology, AR coef.';...
c1scalezierr = 0.026852566158888; %U.S. Inv. Tech. st. dev. of innovation';...  0.0265
c1rhoyo1 =  0.12358342705819;%U.S. Oil Supply, growth AR coef.';...        
c1rhoyo2 = 0.00010002809431871;%U.S. Oil Supply, level error corr. coef.';...    
c1scaleyoerr = 0.025349666563759;%U.S. Oil Supply, st. dev. of innovation';...
c1rhomuoc1 = 0.00010294816003466;%Oil Demand, growth AR coef.';...    
c1rhomuoc2 =  0.014468002404739;%Oil Demand, level error corr. coef.';...   
c1scalemuocerr = 0.047022988598085;%U.S. Oil Demand, st. dev. of innovation';...
c1rhomuc =  0.91884316757498;%Consumption Shock, AR(1) coef.';... 
c1scalemucerr = 0.64843349359594;%U.S. Consumption Shock, st. dev. of innovation';...
c1rhoomegacm1 = 0.00010012294124003;%Import, growth AR coef.';...
c1rhoomegacm2 = 0.0019042540938258;%Import, level error corr. coef.';...
c1scaleomegacmerr = 0.026284602245045;%U.S. Import, st. dev. of innovation';...
c2sigma = 1.5;
c2vkappa  = 0.8; 
%c2grmuzss = c1grmuzss;
c2psii  = 3.515; 
c2beta  = 0.99; 
c2delta  = 0.025; 
%c2rhoc   = c1rhoc; 
%c2rhoo   = c1rhoo;
c2phimc  = 0; 
c2phioc  = 0; 
%c2grmuoss = c1grmuoss;
c2rhov = 2; 
c2omegal = 1; 
c2shareiy  = 0.15; 
c2sharegy  = 0.18; 
c2sharemy  = 0.12;
c2shareowy_nominal = 0.088;           		 
c2shareyoy = 0.015; 
%c2pwoss =  c1pwoss; 
c2rhogy  = 0.9989;
c2shareoy =  0.045; 
c2alphaop = 0.9999; 
c2deltao  = 0.4;
%c2grmuzoss  = c1grmuzoss;
c2rhozc1  =   0.2162;
c2rhozc2  = 0.0001; 
c2scalezcerr  = 0.0107; 
c2rhozi = 1; 
c2scalezierr = 1; 
c2rhoyo1  = 0.1235; 
c2rhoyo2  = 0.0001;
c2scaleyoerr = 0.1;
c2rhomuoc1  = 0.0001;
c2rhomuoc2  = 0.0144;    
c2scalemuocerr = 0.1269; 
c2rhomuc = 0.9; 
c2scalemucerr = 0.71744; 
c2rhoomegacm1  = 0; 
c2rhoomegacm2 = 0;
c2scaleomegacmerr = 0.0412; 
c2phioy  = 0;
c2rhothetapvar  = 0.74013; 
c2scalethetapvarerr = 0.477;
c2labshare  = 0.4999; 
c2chi  =  10; 
c2rhothetawvar = 0.9768;
c2scalethetawvarerr = 3.698; 
c2thetap  = 0.10;        
c2thetaw = 0.10; 
c2iotap = 0.00000045;
c2xip  = 0.81;
c2iotaw  = 0.00000032;
c2xiw = 0.89;
c2gamrs  =  0.001;
c2gamdpc  = 0.001;   
%c2gamdw  = 1000; 
c2gamrer = 0;
c2gamgdpgap = 0.001; 
c2rhopitar = 0.402; 
c2scalepitarerr = 0.021;
c2omegaoc = 0.041;
c2omegacc = 0.959;
c2omegac =  0.961;
c2omegamc = 0.039; 
c2omegai =  0.75;
c2omegami = 0.75; 
c2rhoi = 1.32097; 
c2omegavy = 0.9707; 
c2omegaoy = 0.057; 
c2pistar = 1; 
c2tauw =  0.000; 
c2taup = 0.000;
c2less = 0.333;
c2rsss = 0.01;


%local_model parameters
 c1grmuzoss = c1grmuzss/c1grmuoss;
 c1muoss = c1grmuoss;
 c1muzss = c1grmuzss;
 c1muzoss = c1grmuzoss;
 c1rhoc = 1/(c1telast -1); 
 c1rhoo = 1/(c1oelast -1);
 c1rhoi = c1rhoc;%elasticity of substitution investment imports
 c2grmuzoss  = c1grmuzoss;
 c2grmuzss = c1grmuzss;
 c2grmuoss = c1grmuoss;
 c2muzss = c1muzss; 
 c2muoss = c1muoss;
 c2muzoss = c2muzss/c2muoss;
 c2rhoc   = c1rhoc; 
 c2rhoo   = c1rhoo;
 c1shareky = 1/(1-((1-c1delta)/c1muzss))*c1shareiy; %4.898376623;
 c1shareoop = (c1beta*(1-c1alphaop)/c1alphaop/(c1muoss-c1beta*(1-c1deltao)))^(1-c1alphaop);%0.9999;
 c1shareopos =  (1-c1beta/c1muzss*c1muzoss*(1-c1deltao))/(c1beta*(1-c1alphaop)/c1alphaop);%0.0000405808; 
 c1shareowo =  1/c1shareoop+(1-(1-c1deltao)/c1muoss)*c1muoss*(c1muoss*c1shareopos)^-c1alphaop;%0.403047947;  
 c1pwoss = c1alphaop * c1shareoop; %0.99906854;  
 c1shareowy = c1shareowy_nominal/c1pwoss;%0.040637853; 
 c1shareyoy = c1shareowy * 0.3;
 c1shareoy = c1shareowy/c1shareowo;
 c1shareoyy = c1shareoy*(1-1/(1+c1ratiooyoc));%0.02926573; 
 c1sharevy = 1-c1shareoyy; %0.97073427;
 c1sharecy = 1+c1shareoy-c1shareowy*c1pwoss+c1pwoss*c1shareyoy-c1shareoyy-c1shareiy-c1sharegy;%0.61012;
 c1shareopow  =   (1/(c1shareoop))/c1shareowo;
 c1shareoiow  =  1-1/c1shareoop/c1shareowo;
 c1shareocc = (c1shareoy-c1shareoyy)/c1sharecy; %0.025788799; 
 c1sharecnc = 1-c1shareocc;
 c1sharemcm = c1sharecnc*c1sharecy/(c1sharecnc*c1sharecy+c1shareiy); %0.748233236; 
 c1sharemim = 1-c1sharemcm; 
 c1sharemccn = c1sharemy*c1sharemcm/(c1sharecy)/c1sharecnc; %0.151060059;
 c1sharemii = c1sharemy * c1sharemim / c1shareiy; %0.151060059;
 c1ratiomimc  = c1sharemim/c1sharemcm;
 c1rkstar = c1muzss/c1beta - 1 + c1delta; 
 c2rkstar = c2muzss/c2beta - 1 + c2delta; 
 c1labshare = c1less/(1-c1less); 
 c1omegacc =  1 - c1omegaoc; 
 c1omegac =  1 - c1omegamc;
 c1omegai =   1 - c1omegami ;  
 c1omegak =  1/(1-(1-c1delta)/c1muzss)*(c1rkstar)^((1+c1rhov)/c1rhov)/c1muzss*c1shareiy/c1sharevy; %1.54;
 c2ratiooyoc = c1ratiooyoc; 
 c2shareoyy =  c2shareoy*(1-1/(1+c2ratiooyoc)); %0.057830975 ;
 c2sharevy  =  1-c2shareoyy; %0.942169025 ; 
 c2omegak = 1/(1-(1-c2delta)/c2muzss)*(c2rkstar)^((1+c2rhov)/c2rhov)/c2muzss*c2shareiy/c2sharevy; %0.96817468 ;  
 c1sharely  = c1sharevy*(1-c1omegak*c1rkstar^(-1/c1rhov))^(1+c1rhov); %1.410279756; 
 c2sharely  =  c2sharevy*(1-c2omegak*c2rkstar^(-1/c2rhov))^(1+c2rhov); %1.150570611 ;
 c1yss =  1/(c1sharely/c1less);
 c2yss =  1/(c2sharely/c2less);
 c2pwoss =  c1pwoss; 
 c2shareowy = c2shareowy_nominal/c2pwoss; %0.035840191;
 c1phioy   = c1phioc;
 c1sharexy   =  c1sharemy+(c1shareowy-c1shareyoy)*c1pwoss; %0.145613972;
 c2sharecy =  1+c2shareoy-c2shareowy*c2pwoss+c2pwoss*c2shareyoy-c2shareoyy-c2shareiy-c2sharegy;
 c2shareocc  =  (c2shareoy-c2shareoyy)/c2sharecy; %0.040431527;
 c2sharecnc = 1-c2shareocc;
 c2sharemcm = c2sharecnc*c2sharecy/(c2sharecnc*c2sharecy+c2shareiy); %0.831063959; 
 c2sharemccn = c2sharemy*c2sharemcm/(c2sharecy)/c2sharecnc; %0.081476188; 
 c2sharemim = 1-c2sharemcm;  
 c2sharemii = c2sharemy*c2sharemim/c2shareiy; %0.081476188; 
 c2shareky  = (1/(1-(1-c2delta)/c2muzss)) * c2shareiy; %4.903933874;
 c2sharexy  = c2sharemy-(c1shareowy-c1shareyoy)*c1pwoss*c1relc2*c1yss/c2yss; %0.058490922;
%c2muzoss = c2muzss/c2muoss; 
 c2ratiomimc = c2sharemim/c2sharemcm; %0.203276822; 
 c2scaleshockgyerr = c1scaleshockgyerr ;
 c2shareoop = (c2beta*(1-c2alphaop)/c2alphaop/(c2muoss-c2beta*(1-c2deltao)))^(1-c2alphaop); %0.9999;
 c2shareopos = (1-c2beta/c2muzss*c2muzoss*(1-c2deltao))/(c2beta*(1-c2alphaop)/c2alphaop); %0.0000405808; 
 c2shareowo = 1/c2shareoop+(1-(1-c2deltao)/c2muoss)*c2muoss*(c2muoss*c2shareopos)^-c2alphaop; %0.403047947;
 c2shareopow  =  (1/(c2shareoop))/c2shareowo; %0.000101049;  
 c2shareoiow =  1-1/c2shareoop/c2shareowo; %0.999898951; 
 c2shareoprod = c2shareyoy/(c2shareyoy+c1shareyoy*c1relc2*c1yss/c2yss); %0.954971775;
 c2shareocon  = c2shareowy/(c2shareowy + c1shareowy*c1relc2*c1yss/c2yss); %0.816406591;
 c1mugdpss =(c1muzss+ ( -c1shareoyy+c1shareoy - c1pwoss*c1shareowy + c1pwoss*c1shareyoy)*c1muoss )/( 1 + ( -c1shareoyy+c1shareoy - c1pwoss*c1shareowy + c1pwoss*c1shareyoy) );%1.005831931; 
 c2mugdpss =(c2muzss+ ( -c2shareoyy+c2shareoy - c2pwoss*c2shareowy + c2pwoss*c2shareyoy)*c2muoss )/( 1 + ( -c2shareoyy+c2shareoy - c2pwoss*c2shareowy + c2pwoss*c2shareyoy) );%1.005559766;  
%steady state ratio between nominal GDP and nominal gross output
 c1sharengdpny = 1 - c1shareoyy + c1shareyoy;

% vars 

    %d     = d_ss;
    %c     = log(c_ss);
    %h     = log(h_ss); 
    %y     = log(y_ss);
    %inv     = log(inv_ss);
    %k     = log(k_ss);
    
c1lambdaq = log(c1lambdaqss);
c1q = log(c1qss);
c1i = log(c1iss);
c1k = log(c1kss);
c1c = log(c1css);
c1cne = log(c1cness);
c1cd = log(c1cdss);
c1mc = log(c1mcss);
c1oc = log(c1ocss);
c1id = log(c1idss);
c1rpipd = log(c1rpipdss);
c1mi = log(c1miss);
c1v = log(c1vss);
c1y = log(c1yss);
c1rk = log(c1rkss);
c1l = log(c1lss);
c1o = log(c1oss);
c1rrs = c1rrsss;
c1m = log(c1mss);
c1tbal = c1tbalss;
c1gtbal = c1gtbalss;
c1g = log(c1gss);
c1shockgy = c1shockgyss;
c1op = log(c1opss);
c1os = log(c1osss);
c1ow = log(c1owss);
c1rpopd = log(c1rpopdss);
c1oi = log(c1oiss);
c1zc = c1zcss;
c1zclag = c1zclagss;
c1zi = c1ziss;
c1yo = c1yoss;
c1lagyo = c1lagyoss;
c1dyo = c1dyoss;
c1muoc = c1muocss;
c1lagmuoc = c1lagmuocss;
c1muc = c1mucss;
c1omegacm = c1omegacmss;
c1lagomegacm = c1lagomegacmss;
c1omegaim = c1omegaimss;
c2lambdaq = log(c2lambdaqss);
c2q = log(c2qss);
c2i = log(c2iss);
c2k = log(c2kss);
c2c = log(c2css);
c2cne = log(c2cness);
c2cd = log(c2cdss);
c2mc = log(c2mcss);
c2oc = log(c2ocss);
c2id = log(c2idss);
c2rpipd = log(c2rpipdss);
c2mi = log(c2miss);
c2v = log(c2vss);
c2y = log(c2yss);
c2rk = log(c2rkss);
c2l = log(c2lss);
c2o = log(c2oss);
c2rrs = c2rrsss;
c2m = log(c2mss);
c2tbal = c2tbalss;
c2gtbal = c2gtbalss;
c2g = log(c2gss);
c2shockgy = c2shockgyss;
c2op = log(c2opss);
c2os = log(c2osss);
c2ow = log(c2owss);
c2rpopd = log(c2rpopdss);
c2oi = log(c2oiss);
c2zc = c2zcss;
c2zclag = c2zclagss;
c2zi = c2ziss;
c2yo = c2yoss;
c2lagyo = c2lagyoss;
c2dyo = c2dyoss;
c2muoc = c2muocss;
c2lagmuoc = c2lagmuocss;
c2muc = c2mucss;
c2omegacm = c2omegacmss;
c2lagomegacm = c2lagomegacmss;
c2omegaim = c2omegaimss;
c1rer = log(c1rerss);
c2rpwopd = log(c2rpwopdss);
c1rpwopd = log(c1rpwopdss);
c1b = c1bss;
c1rpmcpd = log(c1rpmcpdss);
c2rpmcpd = log(c2rpmcpdss);
c1z = c1zss;
c2z = c2zss;
c1zw = c1zwss;
c1zwlag = c1zwlagss;
c1muo = c1muoss;
c2muo = c2muoss;
c1muow = c1muowss;
c1muowlag = c1muowlagss;
c1rpmipd = log(c1rpmipdss);
c1x = log(c1xss);
c2rpmipd = log(c2rpmipdss);
c2x = log(c2xss);
c2w = log(c2wss);
c1w = log(c1wss);
c2oy = log(c2oyss);
c1oy = log(c1oyss);
c2thetapvar = c2thetapvarss;
c1thetapvar = c1thetapvarss;
c2wdes = log(c2wdesss);
c1wdes = log(c1wdesss);
c2thetawvar = c2thetawvarss;
c1thetawvar = c1thetawvarss;
c1lambdaq_pot = log(c1lambdaq_potss);
c1q_pot = log(c1q_potss);
c1i_pot = log(c1i_potss);
c1k_pot = log(c1k_potss);
c1c_pot = log(c1c_potss);
c1cne_pot = log(c1cne_potss);
c1cd_pot = log(c1cd_potss);
c1mc_pot = log(c1mc_potss);
c1oc_pot = log(c1oc_potss);
c1id_pot = log(c1id_potss);
c1rpipd_pot = log(c1rpipd_potss);
c1mi_pot = log(c1mi_potss);
c1v_pot = log(c1v_potss);
c1y_pot = log(c1y_potss);
c1rk_pot = log(c1rk_potss);
c1l_pot = log(c1l_potss);
c1o_pot = log(c1o_potss);
c1rrs_pot = c1rrs_potss;
c1m_pot = log(c1m_potss);
c1tbal_pot = c1tbal_potss;
c1g_pot = log(c1g_potss);
c1op_pot = log(c1op_potss);
c1os_pot = log(c1os_potss);
c1ow_pot = log(c1ow_potss);
c1rpopd_pot = log(c1rpopd_potss);
c1oi_pot = log(c1oi_potss);
c2lambdaq_pot = log(c2lambdaq_potss);
c2q_pot = log(c2q_potss);
c2i_pot = log(c2i_potss);
c2k_pot = log(c2k_potss);
c2c_pot = log(c2c_potss);
c2cne_pot = log(c2cne_potss);
c2cd_pot = log(c2cd_potss);
c2mc_pot = log(c2mc_potss);
c2oc_pot = log(c2oc_potss);
c2id_pot = log(c2id_potss);
c2rpipd_pot = log(c2rpipd_potss);
c2mi_pot = log(c2mi_potss);
c2v_pot = log(c2v_potss);
c2y_pot = log(c2y_potss);
c2rk_pot = log(c2rk_potss);
c2l_pot = log(c2l_potss);
c2o_pot = log(c2o_potss);
c2rrs_pot = c2rrs_potss;
c2m_pot = log(c2m_potss);
c2tbal_pot = c2tbal_potss;
c2g_pot = log(c2g_potss);
c2op_pot = log(c2op_potss);
c2os_pot = log(c2os_potss);
c2ow_pot = log(c2ow_potss);
c2rpopd_pot = log(c2rpopd_potss);
c2oi_pot = log(c2oi_potss);
c1rer_pot = log(c1rer_potss);
c2rpwopd_pot = log(c2rpwopd_potss);
c1rpwopd_pot = log(c1rpwopd_potss);
c1b_pot = c1b_potss;
c1rpmcpd_pot = log(c1rpmcpd_potss);
c2rpmcpd_pot = log(c2rpmcpd_potss);
c1rpmipd_pot = log(c1rpmipd_potss);
c1x_pot = log(c1x_potss);
c2rpmipd_pot = log(c2rpmipd_potss);
c2x_pot = log(c2x_potss);
c2w_pot = log(c2w_potss);
c1w_pot = log(c1w_potss);
c2oy_pot = log(c2oy_potss);
c1oy_pot = log(c1oy_potss);
c2rmcpd_pot = log(c2rmcpd_potss);
c1rmcpd_pot = log(c1rmcpd_potss);
c2wdes_pot = log(c2wdes_potss);
c1wdes_pot = log(c1wdes_potss);
c2rpcpd_pot = log(c2rpcpd_potss);
c1rpcpd_pot = log(c1rpcpd_potss);
c2rmcpd = log(c2rmcpdss);
c1rmcpd = log(c1rmcpdss);
c2rpcpd = log(c2rpcpdss);
c1rpcpd = log(c1rpcpdss);
c2dpd = c2dpdss;
c1dpd = c1dpdss;


c2dcore = log(c2pistar);
c1dcore = log(c1pistar);
c1dhead = log(c1pistar);
c1dpwo = log(c1grmuzoss)+log(c1pistar);
c2rpnepd = log(c2rmcpdss);
c1rpnepd = log(c1rmcpdss);

c1rs = c1rsss;
c2rs = c2rsss;
c1pitar = c1pitarss;
c2pitar = c2pitarss;

c1hw = log((1+c1thetaw)/c1thetaw*c1lss/(1-c1xiw*c1beta));
c1gw = log((1+c1tauw)/c1thetaw*c1lss/(1-c1xiw*c1beta));
c1wstar = log(c1wss);
c1omegabar = c1pistar*c1grmuzss;
c1omega = c1pistar*c1grmuzss;

c2hw = log((1+c2thetaw)/c2thetaw*c2lss/(1-c2xiw*c2beta));
c2gw = log((1+c2tauw)/c2thetaw*c2lss/(1-c2xiw*c2beta));
c2wstar = log(c2wss);
c2omegabar = c2pistar*c2grmuzss;
c2omega = c2pistar*c2grmuzss;

c1hp = log(((1+c1thetap)/c1thetap*(c1rmcpdss)*(c1yss)/(1-c1xip*c1beta)));
c1gp = log(((1+c1taup)/c1thetap*(c1yss)/(1-c1xip*c1beta)));
c1pid = c1pistar;
c1pstar = log(1);
c1pidbar = c1pistar;

c2hp = log(((1+c2thetap)/c2thetap*(c2rmcpdss)*(c2yss)/(1-c2xip*c2beta)));
c2gp = log(((1+c2taup)/c2thetap*(c2yss)/(1-c2xip*c2beta)));
c2pid = c2pistar;
c2pstar = log(1);
c2pidbar = c2pistar;

c1yd = log(c1yss);
c2yd = log(c2yss);
c1yd_pot = log(c1yss);
c2yd_pot = log(c2yss);
c1deltad = 0;
c2deltad = 0;
c1ygap = 1;


c1logdeltagdp = c1logdeltagdpss;
c2logdeltagdp = c2logdeltagdpss;
c1rngdpy = c1rngdpyss;
c2rngdpy = c2rngdpyss;
deltalog_gdp_us_obs  =  (c1mugdpss - 1);
deltalog_gdp_for_obs  =  (c2mugdpss - 1);

dpcexfe_log_us_obs  =  log(c1pistar); 

rer_log_us_obs  = log(c1rerss); 

dcomp_log_us_obs  = log(c1pistar*c1grmuzss); 

fedfunds_us_obs  = c1rsss;


fixi_share_us_obs = ((exp(c1rpipd) * exp(c1i)) / exp(c1yd)) / c1rngdpy;    
pce_share_us_obs =  (( (exp(c1rpcpd) * exp(c1c)) / exp(c1yd)) /c1rngdpy);

exp_share_us_obs = ( exp(c1x) / exp(c1yd) ) / c1rngdpy; 

imp_share_us_obs = ( exp(c1m) / exp(c1yd) ) / c1rngdpy; 

oilimp_share_us_obs = exp(c1rpopd)  * (  exp(c1o) / exp(c1y) - exp(c1yo) / exp(c1y)  ) * (1 / c1rngdpy);
oilprod_us_deltalog_obs = ( c1grmuoss  - 1 );
oilprod_for_deltalog_obs = ( c2grmuoss  - 1 );
delta_logoilprice_us_obs = ( c1grmuzoss * c1mugdpss  -  c1grmuzss ) / c1grmuzss; 

fixi_share_for_obs = ((exp(c2rpipd) * exp(c2i)) / exp(c2yd)) / c2rngdpy;    	
imp_share_for_obs = ( exp(c2m) / exp(c2yd) ) / c2rngdpy  ; 	
pce_share_for_obs = (( (exp(c2rpcpd) * exp(c2c)) / exp(c2yd)) /c2rngdpy);	
gov_share_for_obs  = ( exp(c2g)/ exp(c2yd) ) / c2rngdpy; 	
exp_share_for_obs = ( exp(c2x) / exp(c2yd) ) / c2rngdpy; 	
gov_share_us_obs = ( exp(c1g)/ exp(c1yd) ) / c1rngdpy; 	
hours_dlog_us_obs = 0;%log(c1lss); 
       
          

% from dynare's solved ss     
% d  =         		 0.744200000000000; 
% c  =         		0.110602456369385; % 0.110602456369385
% h  =         		 0.007390615600776; % 0.007390615600776
% y  =         		 0.396415826511114; % 0.396415826511114
% i  =         		-1.079490693298464; % -1.079490693298464
% k  =         		 1.223094399695582; % 1.223094399695582
% a  =         		 0;
% lambdaa =    		 1.724386196437486; % 1.724386196437486
% tb =         		 0.020025734361830; % 0.020025734361830
% ca =         		 0;
% riskpremium =		 0;
% r  =         		 -3.218875824868198; % -3.218875824868198


for iter = 1:length(M_.params)
  eval([ 'M_.params(' num2str(iter) ') = ' M_.param_names(iter,:) ';' ])
end

if isfield(M_,'param_nbr') == 1

if isfield(M_,'orig_endo_nbr') == 1
NumberOfEndogenousVariables = M_.orig_endo_nbr;
else
NumberOfEndogenousVariables = M_.endo_nbr;
end
ys = zeros(NumberOfEndogenousVariables,1);
for i = 1:NumberOfEndogenousVariables
  varname = deblank(M_.endo_names(i,:));
  eval(['ys(' int2str(i) ') = ' varname ';']);
end
else
ys=zeros(length(lgy_),1);
for i = 1:length(lgy_)
    ys(i) = eval(lgy_(i,:));
end
check = 0;
end
